Subject: Re: [DNA] Seeking WG input on Non-prefix link identifiers

From: Syam Madanapalli <[email-masked]>
Date: Sun, 06 Nov 2005 20:08:17 +0530

I think the case is routers with no prefixes in Router Advertisements.
But I am not sure if such case exists. In such cases, the routers can
include the non-prefix linkIDs for DNA purpose.

Non-Prefix based linkIDs can be defined later if required, however this
may cause mismatch in implementations some hosts not supporting t
he detection of Link Identity based on LinkIDs. It may be worth to work
on such solution as early as possible if required so that all DNA i
mplementations can include this.

Regards,
Syam

On 10/31
/05, Tero Kauppinen (JO/LMF) <[email-masked]> wrote:
> I agree with Brett and JinHyeock.
>
> I don't see any especially important reason why we should do such a
> major change to the document at this point. The whole 'links with no
> routers' case is not perfectly clear to me but in my opinion shouldn't
> be that overwhelming to write an extension to the base draft if such a
> support is felt important later on; structure in Chapter 5.2, for
> example, talks about prefixes but includes also 'pref length' and can
> therefore be used to convey also non-prefix landmarks. This would of
> course require a node to actual response to RS messages, like Brett
> pointed out below.
>
> --
> Tero
>
> > -----Original Message-----
> > From: [email-masked] [mailto:owner-
> > [email-masked]] On Behalf Of Brett Pentland
> > Sent: 29. lokakuuta 2005 5:01
> > To: Suresh Krishnan (QB/EMC)
> > Cc: [email-masked]
> > Subject: Re: [DNA] Seeking WG input on Non-prefix link identifiers
> >
> > I don't think they are necessary.  If there's no global prefix
> > available to use for identification, then it seems that one ought
> > to be able to generate a ULA prefix just for identification purposes.
> >
> > There might be a problem with links with no routers.  Thinking on
> > the fly now... What about non-router devices being able to perform
> > the DNA functions of a router?  They might respond to RSs with an RA
> > with the M and O flags both set to zero, the router lifetime set to
> > zero, and a PIO with a ULA prefix and both the L and A flags set to
> > zero.  Would that cause any configuration problems?  The zero lifetime
> > would prevent hosts from putting the device in their default routers
> > list.  L=0 would not cause hosts to think the prefix is "on-link".
> > A=0 would prevent hosts from trying to generate addresses from the
> > prefix.  Any other show stoppers?
> >
> > Having non-prefix identifiers might make it possible to carry the
> > identifier in some layer 2 field as an optimization, and that might
> > be useful, but it would be specific to that l2 and so I'm not sure
> > that it's such a great idea.
> >
> > Brett.
> >
> > Suresh Krishnan wrote:
> > > Hi Folks,
> > >   Non-prefix link identifiers have a big effect on the DNA solution.
> > >
> > > - A protocol for agreeing on non-prefix link identifiers needs
> > >   to be specified.
> > >
> > > - Additional options are required for transport
> > >   (prefix linkids only require a flag).
> > >
> > > - Precedence between identifier types needs to be established.
> > >
> > > It's possible to undertake this work either now in the base draft,
> > > or as an extension if required.
> > >
> > > Further development of the current solution draft requires
> > > determination of which path to take.
> > >
> > > We'd like to make a consensus call starting
> > > 00:00 UTC Monday 17 October 2005
> > >
> > > and ending
> > > 00:00 UTC Monday 31 October 2005
> > >
> > > On the topic:
> > >
> > > Should the working group develop non-prefix link identifiers as
> > > part of the base DNA solution protocol?
> > >
> > > Regards
> > > Greg and Suresh
>
>